GDB (xrefs)

Public Attributes | List of all members
axs_value Struct Reference

`#include "ax-gdb.h"`

## Public Attributes
enum axs_lvalue_kind | kind
struct type * | type
char | optimized_out
union {
int reg
} | u

## Detailed Description

Definition at line 77 of file ax-gdb.h.

## Member Data Documentation

## ◆ kind

enum axs_lvalue_kind axs_value::kind

Definition at line 79 of file ax-gdb.h.

Referenced by gen_expr(), and gen_repeat().

## ◆ optimized_out

char axs_value::optimized_out

Definition at line 88 of file ax-gdb.h.

## ◆ reg

int axs_value::reg

Definition at line 93 of file ax-gdb.h.

## ◆ type

struct type* axs_value::type

Definition at line 84 of file ax-gdb.h.

Referenced by gen_binop(), gen_equal(), gen_expr(), gen_expr_binop_rest(), gen_less(), gen_ptradd(), gen_ptrdiff(), gen_ptrsub(), gen_repeat(), and gen_usual_arithmetic().

## ◆ u

union { ... } axs_value::u

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ax-gdb.h